--- deadwood-2.9.07/doc/Deadwood.ej	2010-09-08 21:54:51.000000000 -0700
+++ deadwood-3.0.01/doc/Deadwood.ej	2010-09-23 10:09:50.000000000 -0700
@@ -42,7 +42,7 @@
 <h1>COMMAND LINE ARGUMENTS</h1>
 
 Deadwood has a single optional command line argument: The location 
-of the configuration file that Deadwood uses specified with the "-f" flag.  
+of the configuration file that Deadwood uses, specified with the "-f" flag.  
 If this is not defined, Deadwood uses the file "/etc/dwood3rc" as the 
 configuration file.
 
@@ -68,6 +68,10 @@
 the cache in a subdirectory).  All other symbols become a '_' 
 symbol.  
 
+<p>
+
+This file is read and written as the user Deadwood runs as.
+
 <h2>chroot_dir</h2>
 This is the directory the program will run from.
 
@@ -133,7 +137,7 @@
 value is not used on Windows systems.
 
 <h2>max_ar_chain</h2>
-Whether resource record rotation is enabled.  This this has a value
+Whether resource record rotation is enabled. If  this has a value
 of 1, resource record rotation is enabled, otherwise resource record
 rotation is disabled.
 
@@ -141,7 +145,7 @@
 
 Resource record rotation is usually desirable, since it allows DNS to
 act like a crude load balancer.  However, on heavily loaded systems it
-may be desirable to disable to disbale it to reduce CPU usage.
+may be desirable to disable it to reduce CPU usage.
 
 <p>
 
@@ -180,6 +184,18 @@
 cache to disk or reading the cache from disk, higher values of 
 this will slow down cache reading/writing.
 
+<p>
+
+The amount of memory each cache entry uses is variable depending on the
+operating system used and the size of memory allocation pages assigned.
+In Windows XP, for example, each entry uses approximately four kilobytes 
+of memory and Deadwood has an overhead of approximately 512 kilobytes.  
+So, if there are 512 cache elements, Deadwood uses approximately 2.5 
+megabytes of memory, and if there are 1024 cache elements, Deadwood uses 
+approximately 4.5 megabytes of memory.  Again, these numbers are for
+Windows XP and other operating systems will have different memory allocation
+numbers.
+
 <h2>maxprocs</h2>
 This is the maximum number of pending remote UDP connections
 Deadwood can have.  The default value for this is 32.  
@@ -202,7 +218,8 @@
 scale, it may eventually become possible to make this have a value of
 28 (AAAA).<p>
 
-The default value is 1: An A (IPv4 IP) record.
+The default value is 1: An A (IPv4 IP) record.  This parameter has <b>not</b>
+been tested; use at your own risk.
 
 <h2>random_seed_file</h2>
 This is a file that contains random numbers, and
@@ -230,8 +247,8 @@
 value is 4096.
 
 <h2>recursive_acl</h2>
-This is a list of who is allowed to use the 
-load balancer, in "ip/mask" format.  Mask must be a number between
+This is a list of who is allowed to use Deadwood to perform DNS recursion, 
+in "ip/mask" format.  Mask must be a number between
 0 and 32 (for IPv6, between 0 and 128).  For example, "127.0.0.1/8" 
 allows local connections.
 
@@ -312,7 +329,7 @@
 
 <h2>upstream_port</h2>
 This is the port Deadwood uses to connect or send packets to the 
-upstream server.  The default value for this is 53; the standard 
+upstream servers.  The default value for this is 53; the standard 
 DNS port.
 
 <h2>upstream_servers</h2> 
@@ -396,39 +413,29 @@
 values log more messages.  The default value for this is 3.
 
 <h1>ip/mask format of IPs</h1>
-Deadwood uses both standard ip/netmask formats to specify IPs.  
+Deadwood uses a standard ip/netmask formats to specify IPs.  
 An ip is in dotted-decimal format, e.g. "10.1.2.3" (or in ipv6
 format when ipv6 support is compiled in).
 <p>
 
 The netmask is used to specify a range of IPs.
-The netmask can be in one of two formats: A single number between
+The netmask is a single number between
 1 and 32 (128 when ipv6 support is compiled in), which indicates the 
-number of leading "1" bits in the netmask, or a 4-digit 
-dotted-decimal netmask.
+number of leading "1" bits in the netmask.
 <p>
 
 <b>10.1.1.1/24</b> indicates that any ip from 10.1.1.0 to 10.1.1.255
 will match.  
 <p>
 
-<b>10.1.1.1/255.255.255.0</b> is identical to 10.1.1.1/24
-<p>
-
 <b>10.2.3.4/16</b> indicates that any ip from 10.2.0.0 to 10.2.255.255 
 will match.  
 <p>
 
-<b>10.2.3.4/255.255.0.0</b> is identical to 10.2.3.4/16
-<p>
-
 <b>127.0.0.0/8</b> indicates that any ip with "127" as the first 
 octet (number) will match.  
 <p>
 
-<b>127.0.0.0/255.0.0.0</b> is identical to 127.0.0.0/8
-<p>
-
 The netmask is optional, and, if not present, indicates that only
 a single IP will match.
 
